Subject: RE: [mobile-ip] Re: MIPv6 - 17 Review (Fixed tabs, please ignore earlier mail)

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Thu, 20 Jun 2002 12:30:35 +0200

> 19. Section 10.2 : The para about :
> 
>    "-  The Refresh field MUST be set to a value less than or equal to"
> 
>    Is Refresh useful at all ? I don't believe it is. It seems to imply that it
>    helps in the case of the Home Agent crashing and has only a volatile storage
>    for the binding cache.  But if the Home Agent crashed before the Refresh
>    interval is over, the behaviour is identical to the case where the Refresh
>    field contains the same value as Lifetime.
> 
>    It will be useful only if the HA crashed after the Refresh interval but before
>    the Lifetime interval. Hence it is completely useless in most situations.
> 
>    If this can be removed safely, all references need to be removed in the
>    draft and the Format of the BU section (6.1.8) needs to reflect this.

How do others feel about this? Assigned a separate issue #43.

=> Jari, 

I completely agree with Krishna. After a second 
quick review, I wanted to raise this, but luckily 
I'm reading old emails first! 

I don't see the value of the refresh field.
In our very first implementation, this feature
was configurable (X % of BU lifetime), with a 
set default value in the implementation.

Hesham